Subject: Re: ARC article
From: "Steve Bamford" <[email-masked]>
To: "Property Div" <[email-masked]>
Date: Thu, 23 Jan 2003 20:14:16 -0800

----- Original Message ----- 
  From: Property Div 
  To: Steve Bamford 
  Sent: Wednesday, January 15, 2003 11:54 PM
  Subject: ARC article

  Dear Steve,

  This is my 1/72 Dragon Ki-61 Hien (Tony) which I built in 1996. The kit was built straight from the box without any further detailing. Dragon has provided enough detailed part on this tiny model, like side panels inside the cockpit and bulged tyres.

  As far as I remember, there was no major problems when building this kit. Only when the painting time came, I had to collect all my patience to mottle the whole kit using my airbrush. It took almost 4 hours when finally the mottling session lasted. I handbrushed the red tail and elevator.

  I used Tamiya and Gunze paints for the model and Testors Flat Spray for the final finish.

  Alexander Sidharta
  Jakarta, Indonesia